# DaprProtos.SubtleDecryptResponseOrBuilder (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: DaprProtos, interface: SubtleDecryptResponseOrBuilder

Package io.dapr.v1

# Interface DaprProtos.SubtleDecryptResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleDecryptResponse`, `DaprProtos.SubtleDecryptResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleDecryptResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getPlaintext()`
Decrypted plaintext.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPlaintext

com.google.protobuf.ByteString getPlaintext()

     Decrypted plaintext.

`bytes plaintext = 1;`

Returns:
  The plaintext.